Subject: Re: bug#11810: 24.1.50; `vc-diff' shrinks pre-existing window

From: Andreas Schwab <[email-masked]>
Date: Fri, 29 Jun 2012 00:32:10 +0200

Dmitry Gutov <[email-masked]> writes:

> Commands messing up existing window configuration is one of my top
> Emacs annoyances, and AFAIK it confuses the new users, too.
> Maybe nil check for (window-prev-buffers) should be instead included in
> `shrink-window-if-larger-than-buffer', with a way to override it?

I think there should at least be an option to eliminate it completely.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."